Import bvector<> from native bit-arrays
BitMagic Library » bvector<> container
Collaboration diagram for Import bvector<> from native bit-arrays:

## Functions

template<class BV>
void | bm::bit_import_u32 (BV &bv, const unsigned int *BMRESTRICT bit_arr, typename BV::size_type bit_arr_size, bool optimize)
| Import native stream of bits (represented as 32-bit unsigned ints).

## Detailed Description

## Function Documentation

## bit_import_u32()

template<class BV>

void bm::bit_import_u32 | ( | BV & | bv,
|  | const unsigned int *BMRESTRICT | bit_arr,
|  | typename BV::size_type | bit_arr_size,
|  | bool | optimize )

Import native stream of bits (represented as 32-bit unsigned ints).

Parameters

  bv | [out] - target bvector
  bit_arr | [in] - source array
  bit_arr_size | [in] - source array size in words (NOT in bits or bytes)
  optimize | [in] - flag to optimize/compress target bvector on the fly

Examples
  sample18a.cpp.

Definition at line 46 of file bmbvimport.h.

References bit_block_copy_unalign(), BM_ASSERT, BMRESTRICT, get_block_coord(), set_block_size, and set_sub_array_size.

Referenced by main().